/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leavetype.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 假期类型字典Entity
 * @author ssrh
 * @version 2018-09-07
 */
public class LeaveType extends DataEntity<LeaveType> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 所属公司
	private String officeId;		// 所属部门
	private String branchOffice;		// 所属分公司
	private String name;		// 假期名称
	private String no;		// 编号
	private String state;		// 状态
	private String model;		// 计假模式
	private String unit;		// 计假单位
	private String method;		// 累计方式
	private String zero;		// 清零阀值
	private String maxDays;		// 假期上限天数
	private String isAttendance;		// 是否计算出勤
	private String isSubsidized;		// 是否计算补助
	private String isNext;		// 是否结转下年
	private String setDays;		// 天数设置
	private String isSys;		// 是否系统预制
	private String parentId;		// 父节点
	private String parentIds;		// 所有父节点
	private String isEnd;		// 是否是末级节点
	private String parentName;
	private String newId;
	private String key;

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getNewId() {
		return newId;
	}

	public void setNewId(String newId) {
		this.newId = newId;
	}
	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public LeaveType() {
		super();
	}

	public LeaveType(String id){
		super(id);
	}

	@ExcelField(title="所属公司", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="所属部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="所属分公司", align=2, sort=9)
	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}
	
	@ExcelField(title="假期名称", align=2, sort=10)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="编号", align=2, sort=11)
	public String getNo() {
		return no;
	}

	public void setNo(String no) {
		this.no = no;
	}
	
	@ExcelField(title="状态", align=2, sort=12)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	
	@ExcelField(title="计假模式", align=2, sort=13)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}
	
	@ExcelField(title="计假单位", align=2, sort=14)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	
	@ExcelField(title="累计方式", align=2, sort=15)
	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}
	
	@ExcelField(title="清零阀值", align=2, sort=16)
	public String getZero() {
		return zero;
	}

	public void setZero(String zero) {
		this.zero = zero;
	}
	
	@ExcelField(title="假期上限天数", align=2, sort=17)
	public String getMaxDays() {
		return maxDays;
	}

	public void setMaxDays(String maxDays) {
		this.maxDays = maxDays;
	}
	
	@ExcelField(title="是否计算出勤", align=2, sort=18)
	public String getIsAttendance() {
		return isAttendance;
	}

	public void setIsAttendance(String isAttendance) {
		this.isAttendance = isAttendance;
	}
	
	@ExcelField(title="是否计算补助", align=2, sort=19)
	public String getIsSubsidized() {
		return isSubsidized;
	}

	public void setIsSubsidized(String isSubsidized) {
		this.isSubsidized = isSubsidized;
	}
	
	@ExcelField(title="是否结转下年", align=2, sort=20)
	public String getIsNext() {
		return isNext;
	}

	public void setIsNext(String isNext) {
		this.isNext = isNext;
	}
	
	@ExcelField(title="天数设置", align=2, sort=21)
	public String getSetDays() {
		return setDays;
	}

	public void setSetDays(String setDays) {
		this.setDays = setDays;
	}
	
	@ExcelField(title="是否系统预制", align=2, sort=22)
	public String getIsSys() {
		return isSys;
	}

	public void setIsSys(String isSys) {
		this.isSys = isSys;
	}
	
	@ExcelField(title="父节点", align=2, sort=23)
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	@ExcelField(title="所有父节点", align=2, sort=24)
	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}
	
	@ExcelField(title="是否是末级节点", align=2, sort=25)
	public String getIsEnd() {
		return isEnd;
	}

	public void setIsEnd(String isEnd) {
		this.isEnd = isEnd;
	}
	
}